// Author: Kevin K.M. Chiu
// Copyright 2000, Cobalt Networks.  All rights reserved.
// $Id: z_monitorLight.js,v 1.5 2000/11/01 02:45:24 jcheng Exp $

//setTimeout("monitorLight_checkAccess()", 5*1000);

monitorLight_scheduleAccessCheck();

//
// private variables
//

var _monitorLight_isAlert = false;

//
// public functions
//


// description: we need to setup the initial check AFTER the UI
// finishes loading. We do it with a scheduler job.
function monitorLight_scheduleAccessCheck() {
  name = "monitorLight_checkAccess";
  var job = new Object();
  job["function"] = monitorLight_checkAccess;
  job["name"] = name;
  top.code.scheduler_addJob(name, job);
}

// description: check if we should run monitor light code
function monitorLight_checkAccess() {
  var tRoot = top.code.tab_getRoot();
  if(tRoot != null && tRoot.getItem("base_monitorLight")) {
    // check monitor now and every ten minutes 
    monitorLight_checkAlert();
    setInterval("monitorLight_checkAlert()", 10*60*1000);
  }
  return true;
}

// description: check if updates exist
function monitorLight_checkAlert() {
  top.code.comm_scheduleLoad("/cgi-bin/.cobalt/turbo_ui/dispatch/alertSignal");
}

// description: repaint the monitor light
function monitorLight_repaintLight() {
  var monitorLight = top.siteMap.base_monitorLight;

  // site map item monitorLight exists?
  if(monitorLight == null)
    return;

  // set item type appropriately
  if(_monitorLight_isAlert)
    monitorLight.setType("monitorOn");
  else
    monitorLight.setType("monitorOff");

  // repaint tab if the light is on it
  var tabRoot = top.code.tab_getRoot();
  if(tabRoot != null && tabRoot.getItem("base_monitorLight"))
    top.code.tab_repaint();

  // repaint collapsible list if the light is on it
  var cListRoot = top.code.cList_getRoot();
  if(cListRoot != null && cListRoot.getItem("base_monitorLight", true))
    top.code.cList_repaint(true);
}
